//Diops.cpp
//Last updated 15.12.03

#include "dirops.h"

#include <qlistview.h>

#include <kapp.h>
#include <kprocess.h>

static const char* const image0_data[] = {
"16 16 89 2",
"Qt c None",
"#f c #000000",
"#g c #201c20",
"#h c #202020",
"#v c #292429",
"#u c #292829",
".9 c #293431",
"#t c #313031",
"#s c #313431",
"#j c #393839",
"#w c #393c39",
".z c #410408",
".S c #410c08",
".4 c #411818",
"#r c #413c41",
"#q c #414041",
"#l c #414441",
"#n c #4a484a",
"#p c #4a4c4a",
"#i c #525052",
"#e c #525552",
".C c #5a1c18",
"#d c #5a5d5a",
"#c c #625d62",
"#a c #626162",
".p c #626562",
".D c #6a696a",
"#b c #6a6d6a",
".2 c #730808",
".7 c #736d73",
".0 c #737573",
".i c #7b797b",
"#o c #7b7d7b",
".N c #838183",
".j c #838583",
".s c #83898b",
".J c #8b2020",
".x c #8b858b",
".t c #8b8d8b",
".A c #8b8d94",
".V c #8b959c",
".O c #949da4",
".3 c #9c2420",
".e c #9c959c",
".w c #9c999c",
".v c #9c9d9c",
".Y c #a43839",
".G c #a4595a",
".r c #a4a1a4",
".n c #a4a5a4",
".W c #ac4c4a",
".k c #acaaac",
".f c #acaeac",
".d c #b4b2b4",
".B c #b4b6bd",
".1 c #b4bebd",
".c c #bdbabd",
".8 c #bdbebd",
".P c #c57173",
".I c #c58583",
".b c #c5c2c5",
".F c #c5cecd",
".X c #cd898b",
".E c #cdc6cd",
".M c #cdcacd",
".K c #cdd2d5",
".a c #d5ced5",
".m c #d5d2d5",
".R c #dea1a4",
".U c #dedade",
".L c #dedede",
".y c #dee6e6",
"#m c #e6dee6",
".o c #e6e2e6",
".q c #e6e6e6",
"#. c #e6eeee",
".Q c #eed2d5",
".g c #eee6ee",
".l c #eeeaee",
".# c #eeeeee",
".5 c #eef6f6",
".H c #f6dade",
".6 c #f6eef6",
".T c #f6f2f6",
".Z c #f6f6f6",
".u c #f6f6ff",
"#k c #fff6ff",
"## c #fffaff",
".h c #ffffff",
"QtQtQt.#.a.a.a.b.c.d.e.fQtQtQtQt",
"QtQtQt.g.h.i.j.k.h.h.l.m.nQtQtQt",
"QtQtQt.o.f.h.h.h.p.h.h.q.h.rQtQt",
"QtQtQt.o.s.h.h.h.t.u.h.i.v.w.xQt",
"QtQtQt.y.z.A.B.C.D.h.h.h.m.E.tQt",
"QtQtQt.F.G.H.I.J.K.h.h.h.L.M.NQt",
"QtQtQt.O.P.Q.R.S.h.h.h.T.o.U.iQt",
"QtQtQt.V.W.X.Y.w.h.Z.l.l.l.o.0Qt",
"QtQtQt.1.2.3.4.5.T.l.6.l.6.g.7Qt",
"QtQtQt.8.9.0#.##.#.6.l.l.l.T#aQt",
"QtQtQt.d#b####.T.6.#.6.l.#.T#cQt",
"QtQtQt.N#d.h.T.T.#.#.l.l.l###eQt",
"Qt#f#d#g#h.h##.6.6.#.#.l.l###iQt",
"QtQtQt#j#f#f###k.T.T.#.T.#.h#lQt",
"QtQtQt.t.h.l#m#m#m.L#m.U.U.o#nQt",
"QtQtQt#o#p#n#q#r#s#t#u#v#h#v#wQt"};

static const char* const image1_data[] = {
"16 16 99 2",
"Qt c None",
"#F c #000029",
"#p c #000439",
"#y c #101039",
"#E c #201c41",
"#f c #290408",
"#q c #311418",
"#s c #411400",
"#C c #414873",
"#o c #5a596a",
"#d c #62554a",
".R c #6a658b",
".2 c #6a6d8b",
".0 c #736d94",
"#x c #737183",
"#k c #7b4810",
".X c #7b6152",
"#m c #7b759c",
"#D c #7b7d8b",
".i c #836552",
".y c #836d5a",
"#b c #83859c",
".8 c #8b4400",
".Q c #8b85a4",
".O c #8b8da4",
"#G c #945500",
"#v c #9491a4",
".P c #9c99b4",
"#l c #9c9dbd",
".W c #a45d00",
".F c #a4a1bd",
".G c #a4a5bd",
"#a c #a4aacd",
".T c #ac6100",
".C c #ac9994",
".x c #aca5a4",
"#w c #aca5c5",
".Z c #acaac5",
".H c #acaec5",
"#i c #b46d00",
".M c #b48952",
".J c #b49562",
".4 c #b4b2ac",
".S c #b4b6bd",
".# c #b4b6c5",
".5 c #bd7900",
".o c #bdb6b4",
".v c #bdbacd",
".I c #bdbec5",
".u c #bdbecd",
".K c #c57900",
".f c #c59141",
".1 c #c5bed5",
".a c #c5c2d5",
".Y c #c5cee6",
".b c #cdc6d5",
".m c #cdcade",
".E c #cdcede",
".9 c #d58500",
"## c #d5a152",
".r c #d5ae83",
"#n c #d5cede",
".w c #d5d2ee",
".e c #ded6d5",
".t c #dedae6",
"#. c #e6ae39",
".s c #e6deee",
".3 c #e6e2ee",
".c c #e6e6ee",
".N c #e6e6f6",
"#e c #eeaa29",
"#c c #eee6f6",
".g c #eeeef6",
".n c #eeeeff",
".D c #eef6ff",
"#B c #f6a508",
".L c #f6be62",
".q c #f6c66a",
".l c #f6eef6",
".k c #f6f2f6",
".j c #f6faff",
"#u c #ffb618",
".7 c #ffbe10",
".z c #ffc200",
"#r c #ffc218",
".6 c #ffc600",
"#z c #ffce00",
".p c #ffd600",
"#g c #ffd618",
".U c #ffde39",
".V c #fffaac",
"#j c #fffab4",
".h c #fffaff",
"#h c #ffffac",
"#A c #ffffbd",
"#t c #ffffc5",
".A c #ffffd5",
".B c #fffff6",
".d c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQt.#.aQtQtQtQtQtQtQtQtQt",
"QtQtQt.b.c.d.d.e.fQtQtQtQtQtQtQt",
"Qt.g.d.d.d.d.d.h.d.iQtQtQtQtQtQt",
"Qt.j.d.k.g.k.g.l.m.n.oQtQtQtQtQt",
".p.q.r.d.s.t.s.u.v.v.w.x.yQtQtQt",
".z.A.B.C.D.E.u.F.G.v.H.H.I.JQtQt",
".z.d.K.L.M.N.m.O.P.Q.R.G.d.S.TQt",
".U.V.W.A.B.X.Y.Z.0.1.2.3.d.4.5Qt",
".6.7.8.d.9#.###a.m#b#c.E.d#d#e#f",
"QtQt#g#h#i#j.A#k#l#m.H#n#o#p#qQt",
"QtQt.z#r#s#t#u#v#w.G#x#yQtQtQtQt",
"QtQtQtQt#z#A#B#C#D#E#FQtQtQtQtQt",
"QtQtQtQtQt.7#GQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};

static const char* const image2_data[] = {
"16 16 121 2",
"Qt c None",
"#g c #081018",
"#2 c #202020",
"## c #2065e6",
"#1 c #292429",
"#0 c #292829",
"#Z c #313031",
"#Y c #313431",
".8 c #313439",
"#X c #393c39",
"#W c #414041",
"#S c #414441",
".7 c #416183",
"#U c #4a484a",
"#V c #4a4c4a",
"#r c #4a616a",
".4 c #4a75de",
"#Q c #525052",
"#M c #525552",
"#h c #526983",
"#D c #625d62",
"#v c #626162",
"#s c #62819c",
".W c #628de6",
"#d c #62a1ff",
".H c #6a91d5",
".D c #6a99ee",
"#j c #6aaeff",
"#m c #736d73",
"#c c #737573",
".0 c #73b2ff",
".x c #7b797b",
"#R c #7b7d7b",
"#f c #7b99cd",
".O c #7baaee",
"#o c #7bb6ff",
".V c #838183",
"#q c #8399a4",
"#t c #83aade",
"#. c #83b6ff",
"#e c #83c2ff",
".A c #8b858b",
".L c #8b8d8b",
"#k c #8b91ac",
"#u c #948da4",
"#K c #9491a4",
"#N c #9495a4",
"#B c #9495b4",
"#a c #9499bd",
".6 c #94caff",
"#i c #94ceff",
".g c #9c959c",
"#J c #9c95ac",
".z c #9c999c",
".y c #9c9d9c",
"#p c #9cbacd",
".m c #a4a1a4",
".u c #a4beee",
"#y c #a4c2ee",
".5 c #a4ceff",
".1 c #aca5b4",
"#P c #aca5bd",
"#C c #acaab4",
"#n c #acbeee",
".t c #acc2ee",
".9 c #acdeff",
".h c #b4aeb4",
".f c #b4b2b4",
"#I c #b4b6c5",
".G c #b4d2ff",
"#A c #b4d6ee",
".e c #bdb6bd",
"#O c #bdb6cd",
".d c #bdbabd",
".C c #bdcaf6",
".X c #bde6ff",
".T c #c5bac5",
".c c #c5bec5",
".b c #c5c2c5",
"#b c #c5c2cd",
"#z c #c5f2ff",
".K c #cdc6cd",
"#H c #cdc6de",
".a c #cdcacd",
"#G c #cdd2e6",
"#F c #cddaee",
".Z c #cdf2ff",
".I c #d5cad5",
".w c #d5ced5",
"#E c #d5cee6",
".l c #d5d2d5",
"#l c #d5d2de",
".F c #ded6f6",
".3 c #dedade",
".v c #dedae6",
"#w c #dedaf6",
".U c #dedede",
".N c #dee2ff",
".Y c #defaff",
".S c #deffff",
"#T c #e6dee6",
".o c #e6e2e6",
".q c #e6e6e6",
".R c #e6ffff",
".i c #eee6e6",
".B c #eee6ee",
".k c #eeeaee",
".n c #eeeaf6",
".E c #eeeaff",
".# c #eeeeee",
".P c #eeffff",
"#x c #f6eeee",
".J c #f6eef6",
".p c #f6f2f6",
".r c #f6f2ff",
".2 c #f6f6f6",
".Q c #f6ffff",
".s c #fff6f6",
".M c #fff6ff",
"#L c #fffaff",
".j c #ffffff",
"QtQtQt.#.a.b.c.d.e.f.g.hQtQtQtQt",
"QtQtQt.i.j.j.j.j.j.j.k.l.mQtQtQt",
"QtQtQt.l.n.o.p.j.j.j.j.q.j.mQtQt",
"QtQt.r.s.t.u.v.w.#.j.j.x.y.z.AQt",
"Qt.B.C.D.E.F.G.H.I.J.j.j.l.K.LQt",
".M.N.O.P.P.Q.R.S.H.T.j.j.U.a.VQt",
".j.W.X.Y.P.R.S.Z.0.1.M.2.o.3.xQt",
".j.4.5.6.7.8.9#.###a#b.p.k.o#cQt",
".j.W#d#e#f#g#h#i#j#k#l.#.J.B#mQt",
".r#n#o.9#p#q#r#s#t#u.2.#.k.p#vQt",
"#w#x#y#z.P.P.j#A#B#C.s.k.#.p#DQt",
"Qt#E#l#F#G#H#I#J#K#L.#.k.k#L#MQt",
"QtQtQt#N#O#P#P#b.j.J.#.k.k#L#QQt",
"QtQtQt#R.j.j.j.j.p.p.#.p.#.j#SQt",
"QtQtQt.V.B.o.o.U#T.U#T.3.3.o#UQt",
"QtQtQt#R#V#U#W#X#Y#Z#0#1#2#1#XQt"};

static const char* const image3_data[] = {
"16 16 106 2",
"#N c None",
"#M c #000000",
"#K c #000000",
".m c #1865cd",
".l c #206dcd",
".k c #3175d5",
".j c #3979d5",
".i c #4a85de",
".h c #5289e6",
".g c #5a91ee",
".f c #6295e6",
".e c #739dee",
".d c #83aaee",
".w c #8b8d8b",
".# c #948d94",
"Qt c #949194",
"#E c #acaaac",
".c c #bdd2ff",
".b c #c5d6ff",
"#p c #cdbeac",
"#D c #d5ba94",
"#. c #d5beac",
"#w c #d5c6bd",
"#v c #deba7b",
"#H c #dec29c",
"#h c #dec2b4",
".1 c #dec6b4",
".v c #dee2f6",
".t c #dee6f6",
"#G c #e6b662",
".0 c #e6ba6a",
"#z c #e6ba73",
"#F c #e6ba7b",
".R c #e6caac",
".q c #e6e6ee",
".u c #e6e6f6",
".s c #e6eaff",
".r c #e6eeff",
"#C c #eec27b",
".O c #eeca83",
".Q c #eeca8b",
".H c #eedac5",
"#y c #eeded5",
"#I c #eedede",
"#L c #eee6e6",
".p c #eef6ff",
"#q c #f6c26a",
".Y c #f6c673",
"#g c #f6ca7b",
".Z c #f6ca83",
"## c #f6d28b",
"#o c #f6d683",
".P c #f6da9c",
".z c #f6deac",
".G c #f6e6b4",
"#i c #f6eeee",
".S c #f6eef6",
".I c #f6f2f6",
"#J c #f6f2ff",
".o c #f6f6ff",
"#A c #ffc241",
"#e c #ffc25a",
".6 c #ffc262",
"#d c #ffc662",
".X c #ffc673",
"#m c #ffca62",
".7 c #ffca6a",
".9 c #ffca73",
"#r c #ffce5a",
"#t c #ffce6a",
".5 c #ffce73",
".W c #ffce83",
"#s c #ffd262",
"#B c #ffd26a",
".8 c #ffd273",
"#l c #ffd673",
"#f c #ffd67b",
"#j c #ffda73",
"#k c #ffda7b",
"#n c #ffda83",
"#u c #ffda8b",
".N c #ffda94",
".2 c #ffda9c",
".J c #ffdaa4",
"#c c #ffde83",
"#b c #ffde8b",
".V c #ffde94",
".K c #ffde9c",
".T c #ffdea4",
".D c #ffdeac",
"#a c #ffe694",
".4 c #ffe69c",
".M c #ffe6ac",
".y c #ffe6b4",
".C c #ffe6cd",
".A c #ffe6d5",
".3 c #ffeaa4",
".L c #ffeaac",
".x c #ffeacd",
".U c #fff2b4",
".E c #fff2c5",
"#x c #fff6ff",
".B c #fffaf6",
".n c #fffaff",
".F c #ffffde",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.a.b.c.d.e.f.g.h.i.j.k.l.m.aQt",
"Qt.a.n.o.o.p.o.q.q.r.s.t.u.v.aQt",
".w.a.a.a.a.a.x.y.z.A.a.a.B.n.aQt",
"Qt.a.a.B.C.D.E.E.F.G.H.o.n.I.aQt",
".#.a.n.J.K.L.M.N.O.P.Q.R.S.I.aQt",
"Qt.a.n.T.U.V.V.W.X.Y.Z.0.1.o.aQt",
".w.a.B.2.3.4.5.6.7.5.8.9#..n.aQt",
"Qt.a.n###a#b#c#d#e#d#f#g#h.n.aQt",
".#.a#i.Z#j#k#l#m#e.5#n#o#p.a.aQt",
"Qt.a.n.H#q#r#s#m#t#f#u#v#w.o.aQt",
".w.a#x.a#y#z#A#B.7#C#D#E#E#E#EQt",
"Qt.a.a.n.a#i#F#G#H#I#J#E.a.aQt#K",
".#.a.n.a.n.a.I#L.n.a.I#E.aQt#M#N",
"Qt.a.a.a.a.a.a.a.a.a.a#EQt#N#N#N",
".wQt.#Qt.wQt.#Qt.wQt.#Qt#N#N#N#N"};

static const char* const image4_data[] = {
"16 16 54 1",
"X c None",
"Z c #000000",
"Y c #000000",
"W c #000000",
"U c #000000",
"m c #1865cd",
"l c #206dd5",
"k c #3175d5",
"j c #3979d5",
"i c #4a81de",
"h c #4a85de",
"g c #6a99ee",
"v c #8b8d8b",
"# c #948d94",
". c #949194",
"f c #9cbeee",
"d c #a4c2f6",
"T c #acaaac",
"e c #acc6ff",
"c c #b4caff",
"P c #bdbebd",
"b c #bdd2ff",
"I c #c5c6c5",
"R c #cdc6cd",
"V c #cdcacd",
"M c #cdcecd",
"x c #d5d2d5",
"Q c #d5d6d5",
"u c #d5daee",
"A c #ded6d5",
"O c #ded6de",
"S c #dedade",
"J c #dedede",
"t c #dee2f6",
"s c #dee6f6",
"y c #e6dede",
"K c #e6dee6",
"G c #e6e2e6",
"w c #e6e6e6",
"p c #e6eaf6",
"q c #e6eaff",
"r c #e6eeff",
"F c #eee6ee",
"C c #eeeaee",
"N c #eeeeee",
"o c #eef2ff",
"H c #f6eef6",
"z c #f6f2ee",
"D c #f6f2f6",
"L c #f6f6f6",
"n c #f6f6ff",
"E c #fff6ff",
"B c #fffaff",
"a c #ffffff",
"................",
"#abcdefghijklma.",
".annopoqrpqstua.",
"vaaawxayzaaaAxa.",
".aaaBCawDBEBFGa.",
"#axBaaBxGHIDJKa.",
".aGBaaaGHDKLFGa.",
"vaMHaaaKNDxDDLa.",
".awLaBaGHDODELa.",
"#aBBCKaxCCPDQKa.",
".aBEHGaONNxHJOa.",
"vaRLCSBaBBLTTTT.",
".aMLHOaaaBLTaa.U",
"#aVNwxLxwaDTa.WX",
".aKLDJaOCaaT.YXX",
"v.#.v.#.v.#.ZXXX"};

static const char* const image5_data[] = {
"16 16 43 1",
"O c None",
"N c #000000",
"M c #000000",
"l c #5a595a",
"k c #626162",
"j c #6a696a",
"i c #737173",
"h c #7b797b",
"g c #838183",
"f c #8b898b",
"u c #8b8d8b",
"# c #948d94",
". c #949194",
"e c #9c999c",
"d c #a4a1a4",
"I c #acaaac",
"F c #b4b6b4",
"L c #bdb6bd",
"D c #bdbabd",
"K c #bdbebd",
"H c #c5bec5",
"G c #c5c2c5",
"C c #c5c6c5",
"y c #cdc6cd",
"c c #cdcacd",
"B c #cdcecd",
"J c #d5ced5",
"E c #d5d2d5",
"b c #d5d6d5",
"A c #ded6de",
"x c #dedade",
"t c #dedede",
"w c #e6dee6",
"q c #e6e2e6",
"r c #e6e6e6",
"p c #eee6ee",
"s c #eeeaee",
"v c #eeeeee",
"o c #f6eef6",
"z c #f6f2f6",
"n c #fff6ff",
"m c #fffaff",
"a c #ffffff",
"................",
"#abcde.fghijkla.",
".amnnopqqrsqqta.",
"uaaavqqqqwqmmxa.",
".aatxmaaamsbnra.",
"#aqywzmmnaawbsa.",
".acyArzrzmoqBCa.",
"uaDcxrExEwECFpa.",
".aGbpvwbcyHDDba.",
"#aGxzmvprcDDCxa.",
".asGnzwposcIwoa.",
"uazJIGKAxBIIIII.",
".azqAHLDDKcIaa.M",
"#amamammmavIa.NO",
".aaaaaaaaaaI.OOO",
"u.#.u.#.u.#.OOOO"};

static const char* const image6_data[] = {
"16 16 76 2",
"Qt c None",
"#j c None",
"#g c #081c94",
"#h c #082094",
"#d c #08249c",
"#i c #102094",
"#f c #10209c",
"#e c #10249c",
"#a c #102ca4",
"#. c #1030ac",
".7 c #1034ac",
".9 c #1838b4",
".3 c #1840bd",
".Y c #1848bd",
".1 c #1848c5",
".V c #2050c5",
".T c #2055cd",
".M c #2059cd",
".Q c #2059d5",
".z c #205dd5",
".s c #2061d5",
"#b c #294c9c",
".5 c #2950a4",
".W c #2959ac",
".K c #295dbd",
".u c #2961c5",
".r c #2961d5",
".t c #2961de",
".4 c #297dff",
".R c #315dbd",
".D c #3165c5",
".k c #3169cd",
".i c #316dd5",
".e c #3171d5",
".b c #3171de",
".a c #3175de",
".j c #3971de",
".# c #3975e6",
".0 c #3985ff",
".Z c #3989ff",
".U c #5299ff",
"#c c #52b2ff",
".h c #6281b4",
".6 c #62baff",
".O c #6aaaff",
".2 c #6abeff",
".P c #73aaff",
".N c #73aeff",
".X c #7bc6ff",
".G c #8bbef6",
".I c #8bbeff",
".J c #8bc2ff",
".S c #8bceff",
".H c #94c2ff",
".L c #9cd6ff",
".A c #a4caf6",
".8 c #acaec5",
".C c #acd2ff",
".E c #acdaff",
"## c #b4b2cd",
".F c #b4deff",
".w c #bde2ff",
".v c #bde6ff",
".y c #c5e2ff",
".x c #c5e6ff",
".o c #cdeaff",
".p c #d5eaff",
".q c #d5eeff",
".n c #deeeff",
".l c #def2ff",
".m c #e6f2ff",
".f c #eef6ff",
".g c #eefaff",
".c c #f6faff",
".d c #fffaff",
".B c #ffffff",
"QtQt.#.a.#.a.#.aQtQtQtQtQtQtQtQt",
"Qt.b.c.d.c.d.c.d.eQtQtQtQtQtQtQt",
".b.f.g.f.g.f.c.f.h.i.b.i.e.i.jQt",
".k.l.l.m.l.l.n.m.n.l.n.m.n.l.l.i",
".k.o.p.o.p.o.p.o.q.r.r.s.t.r.r.s",
".u.v.w.x.w.x.w.y.z.A.B.B.B.B.C.r",
".D.E.F.r.r.s.t.r.G.B.H.I.J.I.H.r",
".K.L.M.N.B.B.B.B.B.O.O.P.O.O.O.Q",
".R.S.T.U.U.U.U.U.U.U.U.U.U.U.U.V",
".W.X.Y.Z.Z.Z.0.Z.0.Z.Z.Z.Z.Z.Z.1",
".W.2.3.4.4.4.4.4.4.4.4.4.4.4.4.3",
".5.6.7.B.B.B.B.B.B.B.B.B.B.B.8.9",
".5.6#..B.B.B.B.B.B.B.B.B.B.B###a",
"#b#c#d##.8##.8##.8##.8##.8##.8#e",
"Qt#b#f#g#h#g#i#g#h#g#i#g#h#g#fQt",
"#j#j#j#j#j#j#j#j#j#j#j#j#j#j#j#j"};

static const char* const image7_data[] = {
"16 16 79 2",
"Qt c None",
"#m c #2040b4",
"#l c #2044bd",
"#h c #2048bd",
"#a c #3159c5",
".8 c #3161c5",
".5 c #3969d5",
".S c #3971d5",
".Z c #416dd5",
".X c #4175d5",
".P c #417dde",
"#f c #4a75bd",
".L c #4a7dde",
".F c #4a81de",
".I c #4a85e6",
".q c #4a89e6",
".6 c #527dc5",
".Q c #5281cd",
".D c #5285d5",
".r c #5289e6",
".s c #5289ee",
".t c #528dd5",
".0 c #52a1ff",
".1 c #52a5ff",
".J c #5a85d5",
".x c #5a8dde",
".j c #5a91de",
".m c #5a91e6",
".h c #5a95e6",
".d c #5a99e6",
".a c #5a99ee",
".b c #5a9dee",
".i c #6299ee",
".# c #629dee",
".U c #62aaff",
".T c #62aeff",
".H c #6a697b",
".V c #6a6d7b",
".O c #736d83",
"#k c #7b0000",
".M c #7bbaff",
"#g c #7bcaff",
".N c #83baff",
".g c #8ba5d5",
".7 c #8bd2ff",
".Y c #94d6ff",
".W c #9c9db4",
".C c #9c9dbd",
".G c #9ccaff",
".B c #a49dbd",
".R c #a4daff",
"#e c #ac4400",
"## c #ac4800",
".K c #acdeff",
".A c #b4d6ff",
".E c #bde6ff",
".9 c #c57508",
".v c #c5deff",
".w c #c5e2ff",
".y c #c5eaff",
"#j c #cd7508",
"#b c #cd7910",
"#i c #cdcade",
".z c #cdeaff",
".2 c #d57900",
".u c #d5eeff",
".4 c #de7900",
".3 c #de7d00",
".p c #def2ff",
".n c #e6f2ff",
".o c #e6f6ff",
".l c #eef6ff",
".k c #eefaff",
".e c #f6faff",
".f c #f6ffff",
"#. c #ffce7b",
"#c c #ffd27b",
"#d c #ffd283",
".c c #ffffff",
"QtQt.#.a.#.b.#.bQtQtQtQtQtQtQtQt",
"Qt.a.c.c.c.c.c.c.dQtQtQtQtQtQtQt",
".a.e.c.e.f.e.c.e.g.h.i.h.d.h.iQt",
".j.k.l.k.l.k.l.k.l.l.l.k.l.k.l.h",
".m.n.o.p.o.n.o.p.o.q.r.q.s.q.r.q",
".t.u.u.u.u.u.u.u.q.v.c.c.c.c.w.q",
".x.y.z.q.r.q.s.q.A.c.B.C.B.C.A.q",
".D.E.F.G.c.c.c.c.c.B.c.c.c.c.H.I",
".J.K.L.M.N.M.M.M.N.C.c.H.B.c.O.P",
".Q.R.S.T.T.T.U.T.U.B.c.V.W.c.H.X",
".Q.Y.Z.0.1.0.1.0.1.2.3.4.3.2.3.5",
".6.7.8.c.c.c.c.c.9.c.c.c.c.c#.##",
".6.7#a.c.c.c.c.c#b.c#c#.#d#.#c#e",
"#f#g#h#i#i#i#i#i#j.c#.#.#.#.#.#k",
"Qt#f#l#m#l#m#l#m#b#.#d#.#c#.#d#e",
"QtQtQtQtQtQtQtQtQt###e###e###eQt"};

static const char* const image8_data[] = {
"16 16 95 2",
"Qt c None",
"#C c None",
"#x c #081c94",
"#p c #0828a4",
"#k c #1030ac",
"#e c #1838ac",
".9 c #1840b4",
".r c #2061d5",
".1 c #1848c5",
".A c #1855cd",
".V c #2055cd",
".I c #205dd5",
"#y c #081c94",
"#A c #082094",
"#r c #08209c",
"#B c #102094",
"#z c #10209c",
"#w c #102c9c",
"#l c #1040b4",
"#g c #2050c5",
".J c #205dd5",
"#d c #205dde",
".t c #2061d5",
"## c #2061de",
"#o c #2940ac",
"#q c #294c9c",
"#f c #2950a4",
".2 c #2959ac",
".O c #295dbd",
".Q c #295dd5",
".v c #2961c5",
".s c #2961d5",
".u c #2961de",
".8 c #2971e6",
"#b c #297dff",
"#c c #2981ff",
"#a c #2985ff",
".W c #315dbd",
".F c #3165c5",
".k c #3169cd",
".i c #316dd5",
".e c #3171d5",
".b c #3171de",
".a c #3175de",
"#j c #3955b4",
".j c #3971de",
"#. c #3975d5",
".# c #3975e6",
".6 c #3985ff",
".5 c #3989ff",
".7 c #398dff",
".4 c #4191ff",
".0 c #4a89ff",
".3 c #5291ee",
".Z c #5299ff",
".Y c #52a1ff",
".h c #6281b4",
".U c #62a1ff",
".S c #6aaaff",
".T c #73aaff",
".X c #73b2f6",
".R c #7bbaff",
".B c #83b2ee",
".K c #8bbaee",
".M c #8bbeff",
".N c #8bc2ff",
".L c #94c2ff",
".P c #94caff",
"#s c #9ca1c5",
"#h c #9cb2e6",
"#u c #acaec5",
".G c #acdaff",
"#t c #b4b2cd",
".H c #b4deff",
"#v c #bdbacd",
".x c #bde2ff",
".w c #bde6ff",
".z c #c5e2ff",
".y c #c5e6ff",
"#m c #cdd2f6",
".E c #cde2ff",
".o c #cdeaff",
"#n c #d5cede",
".p c #d5eaff",
".q c #d5eeff",
".n c #deeeff",
".l c #def2ff",
"#i c #e6dade",
".m c #e6f2ff",
".f c #eef6ff",
".g c #eefaff",
".C c #f6f6ff",
".c c #f6faff",
".d c #fffaff",
".D c #ffffff",
"QtQt.#.a.#.a.#.aQtQtQtQtQtQtQtQt",
"Qt.b.c.d.c.d.c.d.eQtQtQtQtQtQtQt",
".b.f.g.f.g.f.c.f.h.i.b.i.e.i.jQt",
".k.l.l.m.l.l.n.m.n.l.n.m.n.l.l.i",
".k.o.p.o.p.o.p.o.q.r.s.t.u.s.s.t",
".v.w.x.y.x.y.x.z.A.B.C.D.D.D.E.j",
".F.G.H.I.s.t.u.J.K.D.L.M.N.M.L.s",
".O.P.Q.R.D.D.D.D.C.S.S.T.S.S.U.V",
".W.X.s.Y.Z.Z.Z.Z.Z.Z.Z.Z.Z.Z.0.1",
".2.3.J.4.5.5.6.5.6.5.5.5.5.7.8.9",
".2#.###a#b#b#b#b#b#b#b#b#b#c#d#e",
"#f#g#h.D.D.D.D.D.D.D.D.D.D#i#j#k",
"#f#l#m.D.D.D.D.D.D.D.D.D.D#n#o#p",
"#q#r#s#t#u#t#u#t#u#t#u#t#u#v#w#x",
"Qt#y#z#y#A#y#B#y#A#y#B#y#A#y#zQt",
"#C#C#C#C#C#C#C#C#C#C#C#C#C#C#C#C"};

static const char* const image9_data[] = {
"16 16 110 2",
"#R c None",
"#Q c #000000",
"#d c #0044cd",
".6 c #0059d5",
"#j c #0859d5",
"#e c #185dd5",
".m c #1865cd",
"#i c #2065de",
".l c #206dcd",
"## c #2971de",
".2 c #2979de",
".k c #3175d5",
"#a c #3175de",
"#b c #317de6",
"#n c #3975de",
".j c #3979d5",
".i c #4a85de",
".7 c #4a8de6",
".V c #4a91e6",
".h c #5289de",
"#u c #528de6",
".5 c #5291e6",
"#k c #5295e6",
".Z c #5a99e6",
".g c #6291e6",
".f c #6295e6",
".3 c #6299e6",
"#. c #629dee",
".M c #62a1ee",
"#c c #6a95ee",
".1 c #6aa1e6",
".0 c #6aa1ee",
".R c #6aa5ee",
"#r c #73a5e6",
".Y c #73a5ee",
".U c #83b2f6",
"#s c #83b6ee",
".w c #8b8d8b",
".e c #8baef6",
"#l c #8bb6f6",
".9 c #8bbef6",
".# c #948d94",
"Qt c #949194",
"#o c #94c2f6",
"#f c #94c6f6",
"#M c #9caee6",
".8 c #9ccaf6",
"#t c #9cd2f6",
"#L c #a4b2e6",
"#m c #a4c2ee",
"#w c #a4c2f6",
".P c #a4c6ee",
".Q c #a4c6f6",
".F c #a4caf6",
".X c #a4cef6",
"#H c #acaaac",
".W c #acd2ff",
"#h c #acdaff",
"#N c #b4c2ee",
".b c #b4caff",
".N c #b4cef6",
".O c #b4d2f6",
".c c #bdceff",
".S c #bdd2ee",
".K c #bdd2f6",
".E c #bdd6f6",
".J c #bdd6ff",
".y c #c5d6f6",
".d c #c5d6ff",
".A c #c5daf6",
".x c #c5daff",
"#A c #c5e2ff",
"#g c #c5eeff",
".z c #cddaff",
".B c #cddeff",
"#G c #cdeaf6",
"#p c #cdf2ff",
"#K c #d5daee",
".r c #d5e2ff",
".I c #d5e6ff",
"#D c #d5eaf6",
"#E c #d5eeff",
"#x c #d5f2ff",
"#q c #d5f6ff",
".v c #dee2f6",
".s c #dee6f6",
".q c #dee6ff",
".H c #deeaff",
"#F c #deeeff",
"#y c #defaff",
"#P c #e6e2e6",
".u c #e6e6f6",
"#O c #e6eaf6",
".G c #e6eeff",
"#z c #e6faff",
"#B c #eeeef6",
".t c #eeeeff",
".p c #eef6ff",
"#I c #f6eeee",
"#J c #f6eef6",
".L c #f6f2f6",
"#C c #f6f2ff",
".4 c #f6f6f6",
".o c #f6f6ff",
".n c #f6faff",
".T c #fff6f6",
"#v c #fff6ff",
".D c #fffaf6",
".C c #fffaff",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.a.b.c.d.e.f.g.h.i.j.k.l.m.aQt",
"Qt.a.n.o.a.p.q.r.q.s.t.u.u.v.aQt",
".w.a.a.a.q.x.y.z.A.B.v.C.D.C.aQt",
"Qt.a.a.E.F.r.G.H.H.I.J.K.C.L.aQt",
".#.a.r.M.N.E.O.F.P.Q.P.R.S.T.aQt",
"Qt.a.U.V.W.X.Y.Z.0.1.Y.2.3.4.aQt",
".w.a.5.6.7.8.9#.#####a#b.5.L.aQt",
"Qt.a#c#d#e#f#g#h#i#j.R#k#l.4.aQt",
".#.a#m#n#o#p#p#q#r#s#t#u#m.a.aQt",
"Qt.a#v#w#x#y#z#y#z#y#x#A#B.L.aQt",
".w.a.C#C#D#E.r.H#F#z#G#H#H#H#HQt",
"Qt.a.C#I#J#K#L#M#N#O#P#H.a.aQt#Q",
".#.a.C.a.a.a.a.a.a.a.L#H.aQt#R#R",
"Qt.a.a.a.a.a.a.a.a.a.a#HQt#R#R#R",
".wQt.#Qt.wQt.#Qt.wQt.#Qt#R#R#R#R"};

static const char* const image10_data[] = {
"16 16 81 2",
"#o c None",
"#n c #000000",
"#m c #000000",
".l c #1865cd",
".k c #206dcd",
".3 c #314873",
".j c #3175d5",
".4 c #39599c",
".i c #3979d5",
".h c #4a81de",
".5 c #52505a",
".g c #5289de",
".f c #5a91e6",
"#. c #62759c",
"## c #6281bd",
"#a c #6a6d73",
"#h c #737573",
"#c c #7b797b",
".e c #7baaee",
".V c #837d7b",
"#k c #837d83",
"#g c #8b898b",
".v c #8b8d8b",
".# c #948d94",
"Qt c #949194",
"#e c #949594",
"#d c #9c999c",
".0 c #9c9d9c",
".Q c #9caecd",
".U c #a49d9c",
".8 c #a49da4",
".7 c #a4a1a4",
".Z c #a4a5a4",
".1 c #aca5ac",
".Y c #acaaac",
".P c #acbede",
".d c #acc6f6",
".B c #b4b6b4",
".J c #b4bed5",
".W c #bdb6bd",
".2 c #bdbabd",
".c c #bdd2ff",
"#b c #c5bebd",
"#i c #c5bec5",
".S c #c5c2c5",
".R c #c5c6c5",
".9 c #cdc6c5",
"#j c #cdc6cd",
".6 c #cdcacd",
"#l c #cdcecd",
".I c #cdcee6",
"#f c #d5cecd",
".A c #d5ced5",
".M c #d5d2d5",
".O c #d5d6d5",
".u c #d5e2f6",
".b c #d5e2ff",
".X c #ded6d5",
".F c #ded6de",
".C c #dedade",
".H c #dedede",
".t c #dee6f6",
".G c #e6dee6",
".E c #e6e2e6",
".D c #e6e6e6",
".r c #e6eaf6",
".s c #e6eaff",
".T c #eee6ee",
".L c #eeeaee",
".q c #eeeeff",
".N c #f6eef6",
".x c #f6f2f6",
".p c #f6f2ff",
".z c #f6f6f6",
".o c #f6f6ff",
".n c #f6faff",
".w c #fff6f6",
".K c #fff6ff",
".y c #fffaf6",
".m c #fffaff",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.a.b.c.d.c.e.f.g.h.i.j.k.l.aQt",
"Qt.a.m.n.n.o.p.q.q.r.s.t.t.u.aQt",
".v.a.w.x.a.a.a.a.y.m.w.w.z.w.aQt",
"Qt.a.A.B.C.D.E.F.G.H.C.F.I.J.aQt",
".#.a.a.K.L.G.M.D.x.N.E.O.P.Q.aQt",
"Qt.a.A.R.S.B.T.T.U.V.W.M.X.M.aQt",
".v.a.Y.Z.0.1.x.2.3.4.5.S.6.S.aQt",
"Qt.a.Y.7.8.1.x.9#.###a#b.Y#c.aQt",
".#.a.7.8#d#e.R.L#f.2.2.2#g#h.aQt",
"Qt.a.Y.7.8#e#d#i.M#j#iQt#k#h.aQt",
".v.a.C.F#l#l.R.S.S#i.B.Y.Y.Y.YQt",
"Qt.a.K.x.K.x.z.x.x.x.L.Y.a.aQt#m",
".#.a.a.a.a.a.a.a.a.a.x.Y.aQt#n#o",
"Qt.a.a.a.a.a.a.a.a.a.a.YQt#o#o#o",
".vQt.#Qt.vQt.#Qt.vQt.#Qt#o#o#o#o"};

static const char* const image11_data[] = {
"16 16 73 2",
"#g c None",
"#f c #000000",
".m c #1865cd",
".W c #201c18",
".l c #206dcd",
".V c #311c08",
".k c #3175d5",
".1 c #392818",
".2 c #393431",
".j c #3979d5",
".0 c #4a3420",
".i c #4a85de",
".h c #5289de",
".U c #5a3418",
".g c #5a91e6",
".S c #623000",
".T c #623c10",
".R c #624429",
".f c #6295e6",
".Z c #6a5941",
".3 c #6a656a",
".e c #7ba5ee",
".x c #8b8d8b",
".# c #948d94",
"Qt c #949194",
".M c #a48973",
".P c #a4918b",
".O c #ac9583",
".L c #aca5a4",
".X c #aca5ac",
"#e c #acaaac",
".8 c #acaeac",
".N c #b49983",
".d c #b4cef6",
"#b c #bdb6bd",
"#a c #bdbabd",
".9 c #bdbebd",
".c c #bdd2ff",
".Y c #c5b6b4",
".4 c #c5bec5",
".Q c #c5c2c5",
".b c #c5d6ff",
".7 c #cdc6cd",
".H c #cdcacd",
".I c #d5d2d5",
"#d c #d5d6d5",
".G c #d5d6de",
"## c #ded6de",
".J c #dedade",
".5 c #dedede",
".w c #dee2f6",
"#. c #e6dee6",
".K c #e6e2e6",
".6 c #e6e6e6",
".F c #e6e6ee",
".v c #e6e6f6",
".u c #e6eaf6",
".s c #e6eef6",
".t c #e6eeff",
"#c c #eee6ee",
".y c #eeeaee",
".q c #eeeaff",
".C c #eeeeee",
".r c #eeeeff",
".p c #eef2ff",
".B c #f6eef6",
".z c #f6f2f6",
".D c #f6f6f6",
".o c #f6f6ff",
".E c #fff6ff",
".A c #fffaf6",
".n c #fffaff",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.a.b.c.d.e.f.g.h.i.j.k.l.m.aQt",
"Qt.a.n.o.o.p.q.r.p.s.t.u.v.w.aQt",
".x.a.a.a.a.y.z.a.a.a.n.n.A.n.aQt",
"Qt.a.a.a.a.y.B.C.B.D.n.D.E.z.aQt",
".#.a.a.a.F.G.H.I.J.y.C.E.z.z.aQt",
"Qt.a.a.K.L.M.N.O.P.Q.y.z.E.B.aQt",
".x.a.a.I.R.S.T.U.V.W.X.y.C.D.aQt",
"Qt.a.a.y.Y.Z.0.1.2.3.4.5.K.z.aQt",
".#.a.D.6.n.a.K.I.I.7.8.9.J.E.aQt",
"Qt.a.n.K#..a.a.y###a#b.I.B.z.aQt",
".x.a.D#c.I.7.4#b.8.H#d#e#e#e#eQt",
"Qt.a.a.D.z.6.K.5#c.B#c#e.a.aQt#f",
".#.a.n.a.a.a.n.a.n.a.C#e.aQt#g#g",
"Qt.a.a.a.a.a.a.a.a.a.n#eQt#g#g#g",
".xQt.#Qt.xQt.#Qt.xQt.#Qt#g#g#g#g"};

static const char* const image12_data[] = {
"16 16 73 2",
"#g c None",
"#f c #000000",
".l c #1865cd",
".k c #206dcd",
".j c #3175d5",
".i c #3979d5",
".5 c #414041",
".X c #414441",
".W c #4a484a",
"#. c #4a4c4a",
".h c #4a81de",
".g c #4a89de",
"## c #524c52",
".4 c #525052",
".U c #5a595a",
".V c #5a5d5a",
".f c #5a91e6",
".Z c #625d62",
".e c #6295e6",
".3 c #6a656a",
".T c #6a696a",
".d c #6a9dee",
".0 c #736d73",
".Q c #737173",
".R c #7b797b",
"#c c #837d83",
".K c #8b898b",
".v c #8b8d8b",
".# c #948d94",
"Qt c #949194",
"#d c #949594",
".O c #9c959c",
"#e c #9c999c",
".G c #9c9d9c",
".c c #9cbaf6",
".P c #a49da4",
".E c #a4a1a4",
".H c #a4a5a4",
".I c #aca5ac",
".L c #acaaac",
".Y c #acaeac",
".1 c #b4aeb4",
".F c #b4b2b4",
".J c #bdb6bd",
".C c #bdbabd",
".A c #bdbebd",
".B c #c5bec5",
".y c #c5c2c5",
".b c #c5d6ff",
".z c #cdc6cd",
".x c #cdcecd",
".M c #d5d2d5",
".2 c #d5d6d5",
".D c #dedade",
".u c #dee2f6",
".t c #dee6f6",
".S c #e6dee6",
".r c #e6eaf6",
".s c #e6eaff",
".N c #eee6ee",
".7 c #eeeaee",
".8 c #eeeeee",
".q c #eeeeff",
".o c #eef2ff",
".6 c #f6eef6",
"#b c #f6f2f6",
".p c #f6f2ff",
".9 c #f6f6f6",
".n c #f6f6ff",
".m c #f6faff",
"#a c #fff6ff",
".w c #fffaff",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.a.b.b.c.d.e.f.g.h.i.j.k.l.aQt",
"Qt.a.m.n.n.o.p.q.q.r.s.t.t.u.aQt",
".v.a.a.a.a.a.a.a.a.a.a.a.a.w.aQt",
"Qt.a.x.y.z.y.y.A.y.B.y.A.C.D.aQt",
".#.a.v.E.E.E.F.C.G.H.H.I.v.J.aQt",
"Qt.a.K.L.E.G.M.N.O.G.P.K.K.F.aQt",
".v.a.Q.#.R.R.C.S.T.U.V.W.X.Y.aQt",
"Qt.a.Z.R.0.T.1.2.W.U.3.4.5.Y.aQt",
".#.a.W.Y.6.7.8.9.7.6.8.8#..1.aQt",
"Qt.a##.L#a.8#b.8.9.9.w.9.4.Y.aQt",
".v.a.K#cQtQtQt.O#d#e#e.L.L.L.LQt",
"Qt.a.a#b#b#b#b#b#b#b.N.L.a.aQt#f",
".#.a.a.a.a.a.a.a.a.a#b.L.aQt#g#g",
"Qt.a.a.a.a.a.a.a.a.a.a.LQt#g#g#g",
".vQt.#Qt.vQt.#Qt.vQt.#Qt#g#g#g#g"};

static const char* const image13_data[] = {
"16 16 80 2",
"#n c None",
"#m c #000000",
"#j c #000000",
".s c #8b8d8b",
".# c #948d94",
"Qt c #949194",
"#e c #acaaac",
"## c #e6cecd",
".O c #ee614a",
"#. c #ee6552",
".X c #ee7d6a",
".7 c #ee9183",
".S c #eeaaa4",
"#i c #eeaea4",
"#l c #eeb6ac",
"#d c #eebab4",
".3 c #eecac5",
".Y c #eed2d5",
".H c #eee2e6",
".J c #eeeaee",
".Q c #eeeeee",
"#a c #eeeef6",
".V c #eef2f6",
".z c #f62808",
"#c c #f65539",
".6 c #f65941",
".1 c #f66952",
"#g c #f67962",
"#h c #f6796a",
"#k c #f67d6a",
".U c #f68173",
"#b c #f6998b",
".8 c #f6aa9c",
".5 c #f6b6ac",
".L c #f6bebd",
".Z c #f6c2bd",
".r c #f6d2d5",
".A c #f6d6d5",
".v c #f6e6e6",
".P c #f6eaee",
".E c #f6eef6",
".I c #f6f2f6",
".C c #f6f6f6",
".4 c #f6f6ff",
".x c #f6faff",
".w c #f6ffff",
".i c #ff0000",
".h c #ff0808",
".g c #ff1c20",
".f c #ff2829",
".e c #ff3439",
".G c #ff4020",
".0 c #ff4829",
".N c #ff5031",
".u c #ff5539",
".d c #ff5d5a",
".2 c #ff7962",
".9 c #ff8173",
".T c #ff8d7b",
".y c #ff9183",
".R c #ff998b",
".b c #ff999c",
".c c #ffa1a4",
".t c #ffb6ac",
"#f c #ffbeb4",
".F c #ffc6bd",
".M c #ffcac5",
".o c #ffd6d5",
".q c #ffd6de",
".p c #ffdede",
".n c #ffe2e6",
".m c #ffe6e6",
".l c #ffe6ee",
".k c #ffeaee",
".K c #ffeeee",
".j c #ffeef6",
".W c #fff2f6",
".D c #fff6ff",
".B c #fffaff",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.a.b.c.d.e.f.g.h.i.i.i.i.i.aQt",
"Qt.a.j.k.l.m.n.o.p.q.q.o.o.r.aQt",
".s.a.a.a.a.a.t.u.v.a.w.a.x.x.aQt",
"Qt.a.a.a.a.a.y.z.A.a.B.C.D.E.aQt",
".#.a.a.a.a.a.F.G.H.a.I.C.I.J.aQt",
"Qt.a.a.a.a.a.K.G.L.w.D.I.E.J.aQt",
".s.a.a.a.B.a.M.N.O.P.C.E.J.Q.aQt",
"Qt.a.a.a.a.a.R.S.T.U.x.V.I.E.aQt",
".#.a.Q.I.C.W.X.Y.Z.0.1.2.3.4.aQt",
"Qt.a.I.4.w.5.6.7.8.3.9#.###a.aQt",
".s.a.w.p#b#c#d.I.x.a.V#e#e#e#eQt",
"Qt.a#f#g#h#i.a.B.B.D.E#e.a.aQt#j",
".#.a.8#k#l.B.B.B.D.B.J#e.aQt#m#n",
"Qt.a.a.a.a.a.a.a.a.a.a#eQt#n#n#n",
".sQt.#Qt.sQt.#Qt.sQt.#Qt#n#n#n#n"};

static const char* const image14_data[] = {
"16 16 96 2",
"#D c None",
"#B c #000000",
"#d c #000000",
"#e c #000408",
"#x c #080808",
"#c c #101c29",
"#b c #102431",
"#f c #183c62",
".j c #1871de",
".l c #1871e6",
".k c #1875de",
".8 c #201c20",
"#m c #203c62",
"#v c #204c83",
".i c #2075e6",
"#w c #292829",
"#a c #29405a",
".h c #297dde",
"#t c #316194",
"#r c #31619c",
"#s c #31659c",
"#u c #3969ac",
".g c #3989e6",
".f c #398de6",
"#q c #415d7b",
"## c #41719c",
"#n c #4185cd",
"#l c #4a89cd",
"#o c #4a99ee",
".P c #525d6a",
".1 c #52718b",
"#k c #52a1f6",
"#j c #52a5f6",
"#h c #52a5ff",
".3 c #5a504a",
".7 c #5a5552",
"#g c #5a85b4",
".e c #5aa1ee",
"#i c #5aaaff",
".Y c #626162",
".9 c #628db4",
".2 c #6a6562",
".5 c #6a696a",
"#. c #6aaef6",
".S c #737583",
".G c #7b91ac",
".0 c #7b99bd",
".6 c #837d83",
".4 c #838183",
".A c #83919c",
".R c #839db4",
"#z c #8b898b",
".t c #8b8d8b",
"#A c #948d8b",
".# c #948d94",
".T c #94918b",
"Qt c #949194",
".O c #949594",
".L c #94999c",
".M c #9c9594",
".N c #9c959c",
".Q c #9c9da4",
".F c #9ca1ac",
".E c #9ca5ac",
".I c #9caec5",
"#y c #a4a1a4",
"#p c #a4aab4",
".D c #a4b2bd",
".d c #a4caf6",
".c c #a4ceff",
".W c #acaaac",
".K c #acaab4",
".H c #acb2b4",
".C c #acbacd",
".B c #acbed5",
".b c #acd2f6",
".U c #b4aeb4",
".X c #bdbebd",
".V c #c5c2c5",
".J c #cde6f6",
".s c #dee2f6",
".r c #deeaff",
".p c #e6eaff",
".q c #e6eeff",
".y c #eee6e6",
".v c #eeeaee",
".w c #eeeeee",
".o c #eef2ff",
".n c #eef6ff",
".Z c #f6eeee",
".x c #f6eef6",
".u c #f6f2f6",
"#C c #f6f6f6",
".m c #f6faff",
".z c #fffaff",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.a.b.c.d.e.f.g.h.i.j.k.j.l.aQt",
"Qt.a.m.m.m.n.n.o.o.p.q.r.r.s.aQt",
".t.a.a.u.v.w.v.x.v.v.y.y.u.z.aQt",
"Qt.a.u.A.B.C.D.E.F.F.D.G.H.a.aQt",
".#.a.v.I.J.K.L.MQt.N.O.P.Q.a.aQt",
"Qt.a.u.R.S.T.U.V.W.X.W.YQt.a.aQt",
".t.a.Z.0.1.2.3.4.5.6.7.8Qt.a.aQt",
"Qt.a.u.9#.###a#b#c#d#e#f.K.a.aQt",
".#.a.y#g#h#i#j#k#l#m#n#o#p.a.aQt",
"Qt.a.Z#q#r#r#s#s#t#r#u#v.Q.a.aQt",
".t.a.u#w#d#d#d#d#d#d#x.W.W.W.WQt",
"Qt.a.z#y#z#z.t#z#A#z.#.W.a.aQt#B",
".#.a.z.a.a.a.a.a.a.a#C.W.aQt#D#D",
"Qt.a.a.a.a.a.a.a.a.a.a.WQt#D#D#D",
".tQt.#Qt.tQt.#Qt.tQt.#Qt#D#D#D#D"};

static const char* const image15_data[] = {
"16 16 93 2",
"#y c None",
"#x c None",
"#w c #000000",
"#v c #000000",
"#A c #8b8d8b",
"#z c #949594",
"#. c #292c29",
".T c #313031",
"#b c #393439",
"#h c #393839",
".U c #393c39",
"#f c #414441",
"#j c #41484a",
"#p c #4a4c4a",
"#l c #524c52",
".J c #525052",
".Z c #5a595a",
"#n c #5a5d5a",
"#g c #625d62",
"#c c #626562",
"#i c #626d73",
".K c #6a696a",
"#o c #6a6d6a",
"#e c #737173",
"#m c #7b797b",
"#k c #838183",
"#a c #949194",
"#q c #9c999c",
"#d c #9c9d9c",
"#r c #a49da4",
".A c #a4a1a4",
".E c #aca5a4",
".9 c #aca5ac",
"Qt c #acaaac",
".6 c #b43c39",
".0 c #b4b2b4",
".4 c #b4babd",
".5 c #bdaeb4",
"#t c #bdbabd",
"## c #bdbebd",
".B c #c5bec5",
".D c #c5c2c5",
".C c #c5c6c5",
".z c #cdc6cd",
"#s c #cdcacd",
".7 c #d55552",
".Y c #ded6de",
".V c #dedade",
".3 c #dedede",
".F c #e69da4",
".L c #e6dee6",
".1 c #e6e2e6",
".2 c #e6e6e6",
".I c #eeeaee",
".N c #eeeef6",
".R c #eef2f6",
".y c #eef6f6",
".Q c #f69194",
".W c #f6959c",
".O c #f6a1a4",
".u c #f6a5a4",
".8 c #f6eeee",
"#u c #f6eef6",
".G c #f6f2f6",
".S c #f6f6f6",
".x c #f6faff",
".w c #f6ffff",
".j c #ff0000",
".i c #ff0400",
".h c #ff0408",
".g c #ff1010",
".k c #ff1818",
".f c #ff2020",
".e c #ff2c29",
".P c #ff3031",
".d c #ff3839",
".c c #ff898b",
".X c #ff9194",
".t c #ffaaac",
".r c #ffaeac",
".s c #ffaeb4",
".a c #ffb2b4",
".q c #ffb6b4",
".p c #ffbabd",
".b c #ffbec5",
".o c #ffc2c5",
".# c #ffced5",
".n c #ffd6de",
".m c #ffdee6",
".l c #ffeeee",
".H c #fff6ff",
".M c #fffaff",
".v c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"Qt.#.a.b.c.d.e.f.g.h.i.h.i.j.kQt",
"Qt.l.m.m.n.o.b.p.q.r.s.t.t.u.pQt",
"Qt.v.v.v.v.v.w.x.y.v.v.v.w.w.vQt",
"Qt.v.v.v.z.A.B.C.D.E.F.m.w.G.HQt",
"Qt.v.I.J.K.L.M.v.v.N.O.P.Q.R.SQt",
"Qt.M.T.U.v.v.v.V.V.I.w.W.j.X.vQt",
"Qt.Y.Z.0.M.1.2.M.3.z.4.5.6.7.8Qt",
"Qt.9#.###a#b#c#d#e#f#g#h#i#j.vQt",
"Qt#a.T.v#k#l#m#n#n#o#k#p#q#b.MQt",
"Qt.1.D.v#r#g.z.G#s#s.Y.D.Y#t.vQt",
"Qt.v.M.H.G.H.M.H.M.v#uQtQtQtQtQt",
"Qt.v.M.S.M.M.M.S.M.M.IQt.v.vQt#v",
"Qt.v.S.M.H.M.S.M.H.M.2Qt.GQt#w#x",
"Qt.v.v.v.v.v.v.v.v.v.HQtQt#x#x#y",
"Qt#z#AQtQtQtQtQtQtQtQtQt#x#x#y#y"};

static const char* const image16_data[] = {
"16 16 83 2",
"#q c None",
"#p c #000000",
".7 c #000000",
"#c c #080c08",
"#a c #100c10",
".8 c #101410",
".4 c #181818",
".m c #1865cd",
".3 c #202020",
"## c #202429",
".l c #206dcd",
".2 c #292829",
".1 c #292c29",
"#d c #313031",
".k c #3175d5",
".Y c #393439",
"#f c #393c39",
".j c #3979d5",
".9 c #414041",
"#. c #414441",
".X c #41484a",
"#i c #4a444a",
".T c #4a4c4a",
".Z c #4a5052",
".i c #4a81de",
".S c #525052",
".V c #525552",
".h c #5289de",
".U c #5a555a",
".0 c #5a595a",
".g c #5a91e6",
"#h c #625d62",
"#g c #626162",
".6 c #6a6d6a",
".N c #7b797b",
".f c #7baaee",
".K c #838583",
".M c #8b858b",
".L c #8b898b",
".v c #8b8d8b",
".# c #948d94",
"Qt c #949194",
".J c #9c959c",
"#e c #9c999c",
".P c #9c9da4",
".e c #9cbef6",
"#b c #a49da4",
".5 c #a4a1a4",
".I c #a4a5a4",
"#n c #acaaac",
".d c #accaf6",
".W c #bdb6bd",
".c c #bdd2ff",
".O c #c5c2c5",
"#m c #c5c6c5",
".Q c #c5c6cd",
".R c #c5cacd",
".b c #c5daff",
"#l c #d5d6d5",
"#j c #dedade",
".H c #dedede",
".u c #dee2f6",
".E c #e6dee6",
".D c #e6e2e6",
".F c #e6e6e6",
".t c #e6e6ff",
".s c #e6eaf6",
".q c #e6eeff",
".A c #eee6e6",
".C c #eee6ee",
".G c #eeeaee",
".z c #eeeeee",
".r c #eeeeff",
".p c #eef2ff",
".y c #f6eeee",
"#k c #f6eef6",
".x c #f6f2ee",
".w c #f6f2f6",
".o c #f6faff",
".B c #fff6f6",
"#o c #fff6ff",
".n c #fffaff",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.a.b.c.d.e.f.g.h.i.j.k.l.m.aQt",
"Qt.a.n.o.n.o.o.p.p.q.r.s.t.u.aQt",
".v.a.w.w.x.w.y.w.y.y.z.y.A.B.aQt",
"Qt.a.C.D.E.F.G.C.G.C.G.D.G.H.aQt",
".#.a.G.I.I.J.K.L.M.L.L.N.O.G.aQt",
"Qt.a.w.P.Q.R.S.T.U.V.U.S.W.D.aQt",
".v.a.w.v.X.Y.Z.0.1.2.3.4.5.F.aQt",
"Qt.a.n.6.7.8.9#.##.4#a.7#b.F.aQt",
".#.a.n.N#c.2.1#d#d.2.4#a#e.C.aQt",
"Qt.a.n.##f.V#g#g#h.S#i#d.5#j.aQt",
".v.a.G#k.F.D.H.E#l#l#m#n#n#n#nQt",
"Qt.a#o.w#o.w.w#k.w.w.F#n.a.aQt#p",
".#.a.a.a.a.a.a.a.a.a.w#n.aQt#q#q",
"Qt.a.a.a.a.a.a.a.a.a.a#nQt#q#q#q",
".vQt.#Qt.vQt.#Qt.vQt.#Qt#q#q#q#q"};

static const char* const image17_data[] = {
"16 16 61 1",
"6 c None",
"5 c #000000",
"k c #1865cd",
"j c #206dcd",
"i c #3175d5",
"h c #3979d5",
"g c #4a81de",
"f c #4a89de",
"e c #5a91e6",
"D c #6a696a",
"3 c #737173",
"2 c #7b797b",
"E c #838183",
"C c #838583",
"I c #8b858b",
"s c #8b8d8b",
"# c #948d94",
". c #949194",
"d c #94b6ee",
"J c #9c999c",
"L c #a4a1a4",
"P c #aca5ac",
"B c #acaaac",
"Q c #acaeac",
"H c #b4b2b4",
"T c #b4b6b4",
"b c #b4ceff",
"S c #bdbabd",
"c c #bdd2ff",
"K c #c5bec5",
"U c #c5c2c5",
"O c #c5c6c5",
"F c #cdc6cd",
"w c #cdcacd",
"V c #cdcecd",
"v c #d5cecd",
"M c #d5ced5",
"A c #d5d2d5",
"u c #d5d6d5",
"x c #ded6d5",
"0 c #dedade",
"r c #dee2f6",
"q c #dee6f6",
"1 c #e6dee6",
"Z c #e6e2e6",
"R c #e6e6e6",
"W c #eee6ee",
"y c #eeeae6",
"N c #eeeaee",
"X c #eeeeee",
"p c #eeeeff",
"o c #eef2ff",
"Y c #f6eef6",
"t c #f6f2f6",
"G c #f6f6f6",
"m c #f6f6ff",
"n c #f6faff",
"4 c #fff6ff",
"z c #fffaf6",
"l c #fffaff",
"a c #ffffff",
"................",
"#abccbdefghijka.",
".almnnlooopqqra.",
"saaaatuvwxyazla.",
".aalABCDDEBFtGa.",
"#aauHIEJJICHwta.",
".alKHLMtNOPQKRa.",
"saGHwOSSTHUVHWa.",
".aaQFXU.#SYwBta.",
"#alZ#KtGttU.0aa.",
".ala123.JsIw4ta.",
"sa4lGACIHKOBBBB.",
".aalaltRWNYBaa.5",
"#alalaaaaaXBa.66",
".aaaaaaaaaaB.666",
"s.#.s.#.s.#.6666"};

static const char* const image18_data[] = {
"16 16 37 1",
"G c None",
"I c None",
"F c #000000",
"D c #000000",
"H c #414041",
"E c #5a595a",
"C c #6a696a",
"i c #628dff",
"h c #6a8dff",
"g c #6a91ff",
"f c #7b9dff",
"e c #7ba1ff",
"d c #8baaff",
"c c #94aeff",
"b c #9cb6ff",
"a c #a4beff",
". c #acaaac",
"# c #bdceff",
"q c #cddaf6",
"p c #d5daff",
"o c #d5deff",
"n c #dee2ff",
"r c #e6e6ff",
"m c #e6eaff",
"B c #eeeaee",
"z c #eeeeee",
"l c #eeeeff",
"k c #eef2ff",
"A c #f6eef6",
"w c #f6f2f6",
"y c #f6f6f6",
"j c #f6faff",
"v c #fff6f6",
"x c #fff6ff",
"t c #fffaf6",
"u c #fffaff",
"s c #ffffff",
"................",
".#abcdefghihiie.",
".jkllmmnnooppqr.",
".ssssssssstuvvt.",
".ssssssuuuuwxwx.",
".sssssuuxuyywzw.",
".ssssssuuyxwABu.",
".sssssuuyywABzu.",
".ssssuuxxwAzwAs.",
".uwxyxwwAwzwAws.",
".uwwwwwwwwxwwAs.",
".swxwywxwxB.....",
".suyuxuyuuB.suCD",
".syuxuyuxuB.BEFG",
".sssssssssu.HGGG",
"............IGGG"};

static const char* const image19_data[] = {
"16 16 79 2",
"#m c None",
"#l c #000000",
"#i c #000000",
".f c #000000",
".e c #100c10",
".U c #101010",
".E c #202020",
".d c #292829",
"## c #393431",
"#. c #393839",
".u c #413c41",
"#g c #4a444a",
"#h c #525052",
".C c #5a5d5a",
".V c #5a5d62",
".7 c #626162",
".T c #626562",
".w c #6a6562",
".v c #6a696a",
"#d c #6a6d73",
".L c #737173",
".R c #737573",
".M c #737d83",
"#f c #7b757b",
".D c #7b797b",
"#b c #7b7983",
".Z c #7b7d7b",
".F c #7b7d83",
".s c #838183",
".y c #838583",
".q c #8b8d8b",
".3 c #8b8d9c",
".W c #8b91a4",
".# c #948d94",
"Qt c #949194",
".0 c #9c959c",
".1 c #9c999c",
".z c #9ca5b4",
".S c #a49da4",
".6 c #a4a1a4",
".r c #a4a5a4",
".B c #a4aeb4",
".9 c #a4aebd",
".c c #acaaac",
"#j c #acaeac",
".2 c #acb2bd",
".b c #b4b2b4",
".5 c #b4b6bd",
".O c #bdc6d5",
".G c #bdc6de",
"#e c #c5c2c5",
".I c #c5c6cd",
"#c c #c5cede",
".J c #cdcecd",
".P c #cdcede",
".4 c #cdd6e6",
".p c #d5d2d5",
".Y c #d5dee6",
".o c #ded6de",
"#k c #dedade",
".k c #dedede",
".n c #e6dee6",
".j c #e6e2e6",
".m c #e6e6e6",
".H c #e6f2ff",
".A c #e6f6ff",
".x c #eee6e6",
".l c #eee6ee",
".i c #eeeaee",
".h c #eeeeee",
".X c #eef2ff",
".Q c #eef6ff",
".N c #eefaff",
".g c #f6f2f6",
"#a c #f6f6f6",
".8 c #f6faff",
".K c #fff6ff",
".t c #fffaff",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.a.b.cQt.#.d.e.f.f.f.f.f.f.aQt",
"Qt.a.g.h.i.i.j.k.l.m.n.o.o.p.aQt",
".q.a.a.a.a.a.a.a.r.s.g.a.t.a.aQt",
"Qt.a.a.a.a.a.aQt.u.v.w.x.a.g.aQt",
".#.a.a.a.a.a.y.d.z.A.B.C.o.t.aQt",
"Qt.a.a.a.a.D.E.F.G.H.a.I.v.J.aQt",
".q.a.a.K.L.f.M.N.O.P.Q.a.R.S.aQt",
"Qt.a.g.T.U.V.W.X.a.Y.p.Z.0.t.aQt",
".#.a.y.U.1.a.2.3.4.5.T.6.a.t.aQt",
"Qt.a.l.7.s.8.a.9#.##.b.a#a.g.aQt",
".q.a.a.g.w#b#c#d#.#e.t.c.c.c.cQt",
"Qt.a.a.a.t#f#g#h.p.a.g.c.a.aQt#i",
".#.a.t.a.a.t#j#k.a.a.g.c.aQt#l#m",
"Qt.a.a.a.a.a.a.a.a.a.a.cQt#m#m#m",
".qQt.#Qt.qQt.#Qt.qQt.#Qt#m#m#m#m"};

static const char* const image20_data[] = {
"16 16 58 1",
"3 c None",
"2 c #000000",
"0 c #000000",
"m c #1865cd",
"l c #206dd5",
"k c #3175d5",
"j c #397dd5",
"i c #4a85e6",
"h c #528de6",
"g c #6295ee",
"f c #6a99ee",
"e c #73a1f6",
"x c #8b8d8b",
"# c #948d94",
". c #949194",
"d c #a4c2f6",
"Z c #acaaac",
"t c #bdcee6",
"Y c #c5c2c5",
"W c #c5c6c5",
"s c #c5cae6",
"r c #c5cee6",
"w c #c5d2ee",
"c c #c5d6ff",
"X c #cdc6cd",
"V c #cdcacd",
"N c #cdcecd",
"p c #cdd6ee",
"v c #cdd6f6",
"q c #cddaee",
"u c #cddaf6",
"b c #cddeff",
"P c #d5ced5",
"M c #d5d2d5",
"O c #d5d6d5",
"o c #d5d6e6",
"n c #d5daee",
"L c #ded6de",
"K c #dedade",
"A c #dedede",
"C c #e6dede",
"I c #e6dee6",
"y c #e6e2de",
"z c #e6e2e6",
"R c #e6e6e6",
"D c #eee2e6",
"B c #eee6e6",
"J c #eee6ee",
"1 c #eeeaee",
"E c #eeeeee",
"Q c #f6eef6",
"S c #f6f2f6",
"T c #f6f6f6",
"F c #fff6f6",
"U c #fff6ff",
"H c #fffaf6",
"G c #fffaff",
"a c #ffffff",
"................",
"#abcdefghijklma.",
".anopqrrstuuvwa.",
"xayzABCDEFGaHGa.",
".aIzJIzAJKIALMa.",
"#aNLKOMOMMNMMPa.",
".aIzzIKKKKLOIAa.",
"xaJQRSTUTTEQSSa.",
".aKLLKKOLVPWPXa.",
"#aKAKIAzKIAzKAa.",
".aIzzAQUGTGSSSa.",
"xaWPNXVVYVWZZZZ.",
".aPOPzRzzRAZaa.0",
"#aAJ1aaaaaTZa.23",
".aaaaaaaaaaZ.333",
"x.#.x.#.x.#.3333"};

static const char* const image21_data[] = {
"16 16 53 1",
"Y c None",
"X c #000000",
"V c #000000",
"k c #0095ff",
"j c #0099ff",
"i c #009dff",
"h c #00a1ff",
"g c #00a5ff",
"f c #00aeff",
"e c #00b6ff",
"d c #00baff",
"c c #00beff",
"b c #41d6ff",
"t c #8b8d8b",
"# c #948d94",
". c #949194",
"T c #acaaac",
"M c #bdbabd",
"U c #c5c2c5",
"D c #c5c6c5",
"Q c #cdc6cd",
"E c #cdcacd",
"G c #cdcecd",
"B c #d5ced5",
"F c #d5d2d5",
"W c #d5d6d5",
"r c #d5e6f6",
"s c #d5e6ff",
"p c #d5eaff",
"y c #ded6d5",
"C c #ded6de",
"x c #dedade",
"N c #dedede",
"q c #deeaff",
"o c #deeeff",
"n c #def2ff",
"m c #def6ff",
"w c #e6dade",
"v c #e6dede",
"S c #e6dee6",
"A c #e6e2e6",
"L c #e6e6e6",
"l c #e6faff",
"I c #eee6ee",
"u c #eeeaee",
"R c #eeeeee",
"P c #f6eef6",
"z c #f6f2ee",
"O c #f6f2f6",
"J c #f6f6f6",
"K c #fff6ff",
"H c #fffaff",
"a c #ffffff",
"................",
"#abcdeffghijkka.",
".almmnnoopqrsra.",
"tauvvwxvyyyyyza.",
".aABCDEEBEBBFua.",
"#aAEGxHIJKLaLLa.",
".axMENHLOPAKIAa.",
"taxQFAJIRPAKAIa.",
".aLQCAaIKOIHuIa.",
"#axEBAJLROAHAua.",
".aSQFAHLOPAOSAa.",
"taNEFLHuOJxTTTT.",
".aSUBNKAPRxTaa.V",
"#aLWxIOuRONTa.XY",
".aaaaaaaaaaT.YYY",
"t.#.t.#.t.#.YYYY"};

static const char* const image22_data[] = { 
"16 16 87 2",
"Qt c None",
".b c #3169cd",
".# c #3169d5",
"## c #316dd5",
".e c #316dde",
".f c #3171e6",
".X c #3175ee",
".z c #3961a4",
".R c #3965b4",
".j c #3965bd",
"#u c #3965c5",
".d c #3969c5",
".G c #3969cd",
".c c #3969d5",
".a c #396dd5",
".k c #396dde",
".O c #3975e6",
".i c #3975ee",
".6 c #3979f6",
".Q c #3981ff",
"#o c #4161ac",
"#. c #4165b4",
".Y c #4169bd",
"#p c #4171d5",
".Z c #417dee",
".9 c #4181ff",
".3 c #4185ff",
".N c #4a6194",
".S c #4a81e6",
".l c #4a81ee",
".7 c #4a89ff",
"#a c #526183",
"#j c #52658b",
"#n c #526594",
".g c #5285e6",
".h c #5a89de",
".s c #5a89e6",
".H c #626562",
"#t c #6289d5",
"#q c #6289de",
"#k c #628dde",
"#c c #6295ee",
"#e c #6a656a",
"#m c #6a91de",
"#f c #6a95e6",
".t c #6a95f6",
"#b c #6a99f6",
".5 c #6aa1ff",
"#r c #7395de",
"#i c #7395e6",
"#s c #7399e6",
".0 c #739dee",
".W c #73a1ff",
".y c #7b9de6",
".P c #7baaff",
"#g c #83a5ee",
".1 c #83aaff",
".T c #8baee6",
"#l c #8baeee",
".U c #94aeee",
".I c #94b2ee",
".M c #9cb6ee",
"#h c #a4baee",
".x c #a4beee",
".8 c #a4c2ff",
".w c #acbeee",
".D c #acbef6",
".m c #acc2f6",
".2 c #acc6ff",
"#d c #b4ceff",
".L c #bdcaee",
".K c #bdceee",
".J c #bdcef6",
".r c #c5cef6",
".A c #c5d6f6",
".F c #cddaf6",
".C c #d5daf6",
".B c #d5deff",
".u c #d5e2f6",
".4 c #d5e2ff",
".V c #dee6ff",
".v c #e6eaff",
".n c #eeeeff",
".q c #eef2ff",
".o c #f6f6ff",
".p c #fffaff",
".E c #ffffff",
"QtQtQtQtQt.#.a.b.c.b.dQtQtQtQtQt",
"QtQtQt.#.#.e.f.g.h.i.#.b.jQtQtQt",
"QtQt.k.#.l.m.n.o.p.q.r.s.a.jQtQt",
"Qt.#.#.t.u.v.v.w.x.x.v.v.y.#.zQt",
"Qt.#.l.A.B.C.D.o.E.E.D.F.B.s.G.H",
".b.e.I.J.K.w.q.E.E.E.E.x.L.M.#.N",
".c.O.D.x.D.n.E.E.E.E.E.E.P.Q.i.R",
".b.S.T.U.v.E.E.n.E.E.V.E.E.W.X.Y",
".c.Z.0.0.v.E.1.2.E.E.3.4.E.5.6.j",
".b.i.3.7.3.7.3.8.E.E.Q.9.Q.3.f#.",
".d##.7.7.7.7.3.8.E.E.3.3.7.7.k#a",
"Qt.b.S#b#c#b#c#d.E.E#c#b#c.l.j#e",
"Qt.j.a#f#g#g#g#h.E.v#g#g#i.b#j.H",
"QtQt.R.a#k.U#l.U#l.U.T#m.b#n.HQt",
"QtQtQt#o.G#p#q#r#s#t#p#u#j.HQtQt",
"QtQtQtQt.H.N.R.Y.R#.#a#e.HQtQtQt"};

QListViewItem* item;
const char *Filefilter;
int HiddenFiles;

void GetDirTree (QListView* Object, QDir directory, const char* filter,
int visible)
{
  HiddenFiles=visible;
  if (filter != 0) Filefilter=filter;
  FillObjects (Object, 0, directory);
}

void GetDirView (QListView* Object, QDir directory, const char* filter,
int visible)
{
 HiddenFiles=visible;
 if (filter != 0) Filefilter=filter;
 Object->clear();
 FillObjects (Object, 1, directory, Filefilter);
}

//Function to fill a listview with the wanted directory content.
//Called for a normal listview and the initialisation of a dirtreeview.
void FillObjects (QListView* Object, int calling, QDir directory, const char* filter)
{
 directory.setMatchAllDirs ( true );
        directory.setNameFilter ( filter );
        if (HiddenFiles==1) directory.setFilter( QDir::Files | QDir::Hidden | QDir::Dirs );
        else
        directory.setFilter( QDir::Files | QDir::Dirs );

        const QFileInfoList *list = directory.entryInfoList();
        QFileInfoListIterator it( *list );
        if (directory.isRoot()) it+=1;
        it+=1;
        QFileInfo *fi;

        while ( (fi = it.current()) != 0 ) {
          if (calling == 0) item = new QListViewItem( Object, fi->fileName() );
          else{
            QString fileSize;
            if (!fi->isDir()) fileSize = QString::number(fi->size()) + " Bytes";
            QString LastMod = fi->lastModified().toString("dd.MM.yyyy  hh:mm");
          item = new QListViewItem (Object, fi->fileName() ,fileSize, LastMod);
           }
           QPixmap Picture( (const char **) FileIcon( fi ) );
            item->setPixmap( 0, Picture );
              if (fi->isDir() && fi->isReadable())item->setExpandable(true); 
            ++it;
        }  
}

//Extend a dirtreeview with it's next childitems.
void NewSub (QListViewItem* item, QDir directory)
{
  directory.setNameFilter ( "*" );
  QListViewItem* current=item;
  if (HiddenFiles==1) directory.setFilter( QDir::Files | QDir::Hidden | QDir::Dirs );
  else
  directory.setFilter( QDir::Files | QDir::Dirs );
  const QFileInfoList *list = directory.entryInfoList();
  QFileInfoListIterator it( *list );
  it+=2;
  QFileInfo *fi;
  while ( (fi = it.current()) != 0 ) {
  item = new QListViewItem (current, fi->fileName());
  QPixmap Picture( (const char **) FileIcon( fi ) );
  item->setPixmap( 0, Picture );
  if (fi->isDir() && fi->isReadable())
  item->setExpandable(true); 
  ++it;
    }
}

const char* const* FileIcon (QFileInfo* File)
{
  QString ending = File->extension( FALSE ).lower();
  if (File->isDir() ){
     if ( File->fileName() == "..")
     return image22_data;
     if ( File->isReadable() )
     return image6_data;
     else
    return image7_data;
    }
    if ( ending=="exe" )
      return image0_data;
    if ( ending=="bat" || ending=="sh" || ending=="run" )
      return image16_data;
    if ( ending=="doc" || ending=="txt" || ending=="kwd" )
      return image20_data;
    if ( ending=="pdf" )
      return image13_data;
    if ( ending=="bmp" || ending=="jpg" || ending=="pcx" || ending=="png" || ending=="gif" || ending=="mng" )
      return image10_data;
    if ( ending=="avi" || ending=="mpg" || ending=="mpeg" )
      return image19_data;
    if ( ending=="rpm" )
      return image15_data;
    if ( ending=="mp3" || ending=="au" || ending=="vob" || ending=="ogg" || ending=="mod" || ending=="wav" )
      return image17_data;
    if ( ending=="mid" )
      return image12_data;
    if ( ending=="cab" || ending=="tar" || ending=="gz" || ending=="bz" || ending=="zip" || ending=="lha" || ending=="bz2" || ending=="ace" || ending=="rar" || ending=="tgz" )
      return image3_data;
    if ( ending=="htm" || ending=="html" || ending=="xml" )
      return image9_data;
    if ( ending=="iso" || ending=="cue" || ending=="nrg" || ending=="img" || ending=="ccd")
      return image5_data;
    if ( ending=="rom" )
      return image1_data;
    if ( ending=="jar" )
      return image11_data;
    if ( ending=="tmp" )
      return image2_data;
    if ( ending=="ram" )
      return image14_data;
    if ( ending=="cpp" || ending=="bin" || ending=="h" || ending=="c" )
      return image4_data;
    if ( ending=="ksp" || ending=="xls" )
      return image21_data;
    else
    return image18_data;
}

void changedirectory(QListView* Object, QString directory , QString path )
{  
  QDir Dirnew;
  Dirnew.setPath (directory + "/" + path);
 if (Dirnew.isReadable()){
QDir::setCurrent( Dirnew.path() );
GetDirView (Object, QDir::current(), Filefilter, HiddenFiles);
 }
}

//Find the mountpoint of a given device in the /etc/fstab.
QString readfstab (const char* device)
{
 QFile file( "/etc/fstab" );
 if ( file.open( IO_ReadOnly ) ) {
   QTextStream stream( &file );
    QString line;
     while ( !stream.atEnd() ) {
      line = stream.readLine();
      int count = line.find(" ");
      QString devi = line.left(count);
      do
      ++count;
      while (line.mid( count, 1 )== " ");
      QString mp = line.mid( count, line.length());
      mp = line.mid(count, mp.find(" "));
      if ( devi.startsWith(device)) return mp;
   }     
  }
  file.close();
  return "Not found !";
}

//Browse all parent items from down to the top to find out the path to the wanted directory.
//Pass this path over to NewSub.
//Change icon.
void Treeexpand (QListViewItem* item)
{
  QPixmap Picture( (const char **) image8_data );
  item->setPixmap( 0, Picture );
  QString Pathto =  GetItemPath(item);
  QDir SelDir (Pathto);
  NewSub (item,SelDir);
}

//Erase all childitems of the currently closed item.
//Change icon.
void Treecollapse (QListViewItem* item)
{
 QPixmap Picture( (const char **) image6_data );
 item->setPixmap( 0, Picture );
 int children = item->childCount();
 for (int count = 1; count<=children ; count++) item->takeItem(item->firstChild());
 item->setExpandable(true);
}

QString GetItemPath (QListViewItem *item)
{
QString path;
  int depth = item->depth();
  if (!item->parent())path=item->text(0);  //Does the item have a parent anyway ?
  else
  {
    QListViewItem* previous = item;
    for (int count = 1; count<=depth ; count++)  //Combine all parents of the current item to a path.
    {
    previous = previous->parent();
    path = path.insert(0,previous->text(0) + "/");
    }
  path = path + item->text(0);
  }
  QString get = "/" + path;
  return get;
}

void Linkfiles(QDir Directory, QDir Dest, bool Createself)
{
  QString Ask = Dest.path() + "/";
  KProcess *link = new KShellProcess();
  if (Createself)
  {
  Dest.mkdir( Directory.dirName() );
  Ask = Dest.path() + "/" + Directory.dirName() + "/";
  (*link)<< "ln" << "-s" << "'" + Directory.path() + "'" + "/*" << "'" + Dest.path() + "/" + Directory.dirName() + "'" + "/";
  }
  else
  (*link)<< "ln" << "-s" << "'" + Directory.path() + "'" + "/*" << "'" + Dest.path() + "'" + "/";
  link->start(KShellProcess::Block);
    Directory.setFilter( QDir::Dirs );
const QFileInfoList *list = Directory.entryInfoList();
  QFileInfoListIterator it( *list );
  QFileInfo *fi;
  it+=2;
  while ( (fi = it.current()) != 0 ) {
   if (QFileInfo(Ask + fi->fileName()).exists());
   {
  KProcess *rmex = new KShellProcess();
  (*rmex)<< "rm" << "-R" << "'" + Ask + fi->fileName() + "'";
  rmex->start(KShellProcess::Block, KShellProcess::Stderr);
  }
  QDir sub(Ask);
  sub.mkdir( fi->fileName() );
  kapp->processEvents();
  Linkfiles(fi->filePath(), Ask);
  ++it;
  }
}
